#include <iostream>
using namespace std;

const int MAX = 20000000;

int main() {
  int m,l,n=0;
  cin >> n;
 int a[MAX];
  for (int i = 0; i < n;i++)
    cin >> a[i];
    for(int i = 1;i < n;)
    if (a[i]>=a[i-1])
     {
        l=a[i];
        m=a[i-1];
        a[i]=m;
        a[i-1]=l;
        i=n;
     }
     else
     {
     i++;
    } 
    for(int i = 0;i < n;i++)
    cout<<a[i] ;
  return 0;
}